<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:11 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>AbstractSignatureTypeProvider (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AbstractSignatureTypeProvider (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/plugins/signing/type/AbstractSignatureType.html" title="class in org.gradle.plugins.signing.type"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/plugins/signing/type/BinarySignatureType.html" title="class in org.gradle.plugins.signing.type"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/plugins/signing/type/AbstractSignatureTypeProvider.html" target="_top">Frames</a></li>
<li><a href="AbstractSignatureTypeProvider.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugins.signing.type</div>
<h2 title="Class AbstractSignatureTypeProvider" class="title">Class AbstractSignatureTypeProvider</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.plugins.signing.type.AbstractSignatureTypeProvider</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../org/gradle/plugins/signing/type/SignatureTypeProvider.html" title="interface in org.gradle.plugins.signing.type">SignatureTypeProvider</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../org/gradle/plugins/signing/type/DefaultSignatureTypeProvider.html" title="class in org.gradle.plugins.signing.type">DefaultSignatureTypeProvider</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="strong">AbstractSignatureTypeProvider</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../../org/gradle/plugins/signing/type/SignatureTypeProvider.html" title="interface in org.gradle.plugins.signing.type">SignatureTypeProvider</a></pre>
<div class="block">Convenience base class for <a href="../../../../../org/gradle/plugins/signing/type/SignatureTypeProvider.html" title="interface in org.gradle.plugins.signing.type"><code>SignatureTypeProvider</code></a> implementations.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/plugins/signing/type/AbstractSignatureTypeProvider.html#AbstractSignatureTypeProvider()">AbstractSignatureTypeProvider</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/plugins/signing/type/SignatureType.html" title="interface in org.gradle.plugins.signing.type">SignatureType</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/signing/type/AbstractSignatureTypeProvider.html#getDefaultType()">getDefaultType</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/plugins/signing/type/SignatureType.html" title="interface in org.gradle.plugins.signing.type">SignatureType</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/signing/type/AbstractSignatureTypeProvider.html#getTypeForExtension(java.lang.String)">getTypeForExtension</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;extension)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/signing/type/AbstractSignatureTypeProvider.html#hasTypeForExtension(java.lang.String)">hasTypeForExtension</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;extension)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/signing/type/AbstractSignatureTypeProvider.html#register(org.gradle.plugins.signing.type.SignatureType)">register</a></strong>(<a href="../../../../../org/gradle/plugins/signing/type/SignatureType.html" title="interface in org.gradle.plugins.signing.type">SignatureType</a>&nbsp;type)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/signing/type/AbstractSignatureTypeProvider.html#setDefaultType(java.lang.String)">setDefaultType</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;defaultTypeExtension)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractSignatureTypeProvider()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractSignatureTypeProvider</h4>
<pre>public&nbsp;AbstractSignatureTypeProvider()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDefaultType()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultType</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/plugins/signing/type/SignatureType.html" title="interface in org.gradle.plugins.signing.type">SignatureType</a>&nbsp;getDefaultType()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/plugins/signing/type/SignatureTypeProvider.html#getDefaultType()">getDefaultType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/plugins/signing/type/SignatureTypeProvider.html" title="interface in org.gradle.plugins.signing.type">SignatureTypeProvider</a></code></dd>
</dl>
</li>
</ul>
<a name="setDefaultType(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDefaultType</h4>
<pre>public&nbsp;void&nbsp;setDefaultType(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;defaultTypeExtension)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/plugins/signing/type/SignatureTypeProvider.html#setDefaultType(java.lang.String)">setDefaultType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/plugins/signing/type/SignatureTypeProvider.html" title="interface in org.gradle.plugins.signing.type">SignatureTypeProvider</a></code></dd>
</dl>
</li>
</ul>
<a name="hasTypeForExtension(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasTypeForExtension</h4>
<pre>public&nbsp;boolean&nbsp;hasTypeForExtension(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;extension)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/plugins/signing/type/SignatureTypeProvider.html#hasTypeForExtension(java.lang.String)">hasTypeForExtension</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/plugins/signing/type/SignatureTypeProvider.html" title="interface in org.gradle.plugins.signing.type">SignatureTypeProvider</a></code></dd>
</dl>
</li>
</ul>
<a name="getTypeForExtension(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTypeForExtension</h4>
<pre>public&nbsp;<a href="../../../../../org/gradle/plugins/signing/type/SignatureType.html" title="interface in org.gradle.plugins.signing.type">SignatureType</a>&nbsp;getTypeForExtension(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;extension)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../org/gradle/plugins/signing/type/SignatureTypeProvider.html#getTypeForExtension(java.lang.String)">getTypeForExtension</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/gradle/plugins/signing/type/SignatureTypeProvider.html" title="interface in org.gradle.plugins.signing.type">SignatureTypeProvider</a></code></dd>
</dl>
</li>
</ul>
<a name="register(org.gradle.plugins.signing.type.SignatureType)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>register</h4>
<pre>protected&nbsp;void&nbsp;register(<a href="../../../../../org/gradle/plugins/signing/type/SignatureType.html" title="interface in org.gradle.plugins.signing.type">SignatureType</a>&nbsp;type)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/plugins/signing/type/AbstractSignatureType.html" title="class in org.gradle.plugins.signing.type"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/plugins/signing/type/BinarySignatureType.html" title="class in org.gradle.plugins.signing.type"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/plugins/signing/type/AbstractSignatureTypeProvider.html" target="_top">Frames</a></li>
<li><a href="AbstractSignatureTypeProvider.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
